import { h } from "@stencil/core";
export default {
  title: "Components/Invoice Table Cell",
  parameters: {},
};
export const TableCell = () => {
  return (h("sqm-invoice-table-cell", { innerTemplate: "Table Cell Text" }));
};
export const InvoiceNumberCell = () => {
  return (h("sqm-invoice-table-cell", { innerTemplate: "12345-67" }));
};
export const EarningsCell = () => {
  return (h("sqm-invoice-table-cell", { innerTemplate: "US$20.00" }));
};
export const EarningsAfterTaxCell = () => {
  return (h("sqm-invoice-table-cell", { innerTemplate: "US$15.00" }));
};
export const IndirectTaxCell = () => {
  return (h("sqm-invoice-table-cell", { innerTemplate: "US$5.00" }));
};
export const DownloadCell = () => {
  return (h("sqm-invoice-table-download-cell", { downloadUrl: "https://www.example.com" }));
};
export const EmptyCell = () => (h("sqm-sqm-invoice-table-cell", null, "-"));
export const DateCell = () => {
  return (h("sqm-invoice-table-date-cell", { date: 1710203213000 }));
};
